/*

  HC-SR04 Distance Ultrasonic Sensor

  Parts required:
  - Arduino Board
  - HC-SR04 Distance Ultrasonic Sensor

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 08 Sep 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

int trigPin = 12;                       // set trigPin to 12
int echoPin = 11;                       // set echoPin to 11
long duration;                          // set variable duration
long cm;                                // set variable cm

void setup() {
  Serial.begin (9600);                  // start serial monitor communication
  pinMode(trigPin, OUTPUT);             // set trigPin to digital port 12
  pinMode(echoPin, INPUT);              // set echoPin to digital port 11
}

void loop() {
  // The sensor sends signal out as a pulse
  digitalWrite(trigPin, LOW);           // turn trigPin to LOW
  delayMicroseconds(5);                 // wait for 5 micro seconds
  digitalWrite(trigPin, HIGH);          // turn trigPin to HIGH
  delayMicroseconds(10);                // wait for 10 micro seconds
  digitalWrite(trigPin, LOW);           // turn trigPin to LOW

  duration = pulseIn(echoPin, HIGH);    // read the pulse when its HIGH from echoPin and store in duration

  cm = (duration / 2) / 29.1;           // convert the time into a distance

  // print text to serial monitor
  Serial.print(cm);
  Serial.print("cm");
  Serial.println();

  delay(250);                           // wait for 250Ms
}
